.TH CosEventDomainAdmin 3 "cosEventDomain  1.1.6" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosEventDomainAdmin \- This module export functions which return QoS and Admin Properties constants\&.
.SH DESCRIPTION
.LP
To get access to all definitions include necessary \fIhrl\fR files by using:
.br
\fI-include_lib("cosEventDomain/include/*\&.hrl")\&.\fR

.SH EXPORTS
.LP
.B
\&'CycleDetection\&'() -> string()
.br
.RS
.LP
This function returns the CycleDetection identifier; required when defining QoS Properties\&.
.RE
.LP
.B
\&'AuthorizeCycles\&'() -> short()
.br
.RS
.LP
This function returns the AuthorizeCycles value; required when defining QoS Properties\&.
.RE
.LP
.B
\&'ForbidCycles\&'() -> short()
.br
.RS
.LP
This function returns the ForbidCycles value; required when defining QoS Properties\&.
.RE
.LP
.B
\&'DiamondDetection\&'() -> string()
.br
.RS
.LP
This function returns the DiamondDetection identifier; required when defining QoS Properties\&.
.RE
.LP
.B
\&'AuthorizeDiamonds\&'() -> short()
.br
.RS
.LP
This function returns the AuthorizeDiamonds value; required when defining QoS Properties\&.
.RE
.LP
.B
\&'ForbidDiamonds\&'() -> short()
.br
.RS
.LP
This function returns the ForbidDiamonds value; required when defining QoS Properties\&.
.RE
